using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
	internal class Program
	{
		static void Main(string[] args)
		{
			int x = int.Parse(Console.ReadLine());
			int y = int.Parse(Console.ReadLine());
			int k=x, g=y,bx=0,by=0,i,j,z=0,h,f=1,a;
			while (k>0)
			{
				k /= 10;
				bx++;
			}
			while(g>0) 
			{
				g /= 10;
				by++;
			}
			k = x;g = y;
			while(bx>0 && by>0)
			{
				i = k % 10;
				k /= 10;
				j = g % 10;
				g /= 10;
				if (i>j)
				{
					i*=f;
					z += i;
					f *= 10;
					bx--;
					by--;
				}
				else if (j>i)
				{
					j *= f;
					z += j;
					f *= 10;
					bx--;
					by--;
				}
				else
				{
					i *= f;
					z += i;
					f *= 10;
					j *= f;
					z+= j;
					f*= 10;
					bx--;
					by--;
				}
			}
			while (bx>0)
			{
				i = k % 10;
				k /= 10;
				i *= f;
				z += i;
				f *= 10;
				bx--;
			}
			while(by>0) 
			{
				j = g % 10;
				g /= 10;
				j *= f;
				z += j;
				f *= 10;
				by--;
			}
			Console.WriteLine(z);
		}
	}
}